using System.Runtime.InteropServices;
using Decal.Interop.Net;

namespace Decal.Adapter.NetParser;

[ComVisible(true)]
[ClassInterface(ClassInterfaceType.None)]
[ComDefaultInterface(typeof(MessageRoot))]
[ProgId("DecalAdapter.MessageRootWrapper")]
[Guid("E33FBF17-B6C5-471e-9ED6-A394DEDEBFE5")]
public class MessageRootWrapper : MessageRootImpl
{
	public MessageRootWrapper()
	{
	}

	internal MessageRootWrapper(MessageWrapper msg)
		: base(msg.Wrapped.mStruct, msg)
	{
	}
}
